﻿using GHIElectronics.TinyCLR.Devices.Gpio;
using GHIElectronics.TinyCLR.Pins;
using System.Threading;

namespace TCLR_Panda3_Led_BP
{
    class Program
    {
        static void Main()
        {
            // http://docs.ghielectronics.com/software/tinyclr/tutorials/gpio.html
            // Get the default GPIO controller on the system
            var gpio = GpioController.GetDefault();
            // Open GPIO Led1
            GpioPin led = gpio.OpenPin(FEZPandaIII.GpioPin.Led1);
            // Set the IO direction as output
            led.SetDriveMode(GpioPinDriveMode.Output);
            // Open GPIO BP
            GpioPin bp = gpio.OpenPin(FEZPandaIII.GpioPin.Ldr0);
            // Set the IO direction as input
            bp.SetDriveMode(GpioPinDriveMode.InputPullUp);

            while (true)
            {
                if (bp.Read() == GpioPinValue.High)
                {
                    led.Write(GpioPinValue.Low);
                    //Debug.WriteLine("BP activé");
                }
                else
                {
                    led.Write(GpioPinValue.High);
                    //Debug.WriteLine("BP relâché");
                }
                Thread.Sleep(10);
            }
        }
    
    }
}
